Icaunux - Le Forum

Forum de l'Association ICAUNUX

Vous n'êtes pas identifié(e).

Annonce

Les Inscriptions au forum sont temporairement désactivées en attendant de trouver une solution efficace contre les inscriptions fictives très nombreuses ces derniers temps. Si vous souhaitez vous inscrire sur le forum, merci d'envoyer une demande par mail à l'adresse contact@icaunux.org. Désolé de cette gène occasionnée.

#1 02-05-2012 15:36:22

wanica
Membre
Inscription : 13-11-2008
Messages : 1 937

Install Ub 12.04 LTS sur IBM R 51 plateforme Intel

"this kernel requires the following features not present on the cpu: pae"

les deux images téléchargées ( une sur ubuntu.com (720 Mo) l' autre depuis ubuntu.fr ( 685 Mo) ont été installées avec unetbootin

sans doute passer des paramètres au noyau avec cet outil...

remarque sous amd, pas de souci...

Hors ligne

#2 02-05-2012 20:56:13

wanica
Membre
Inscription : 13-11-2008
Messages : 1 937

Re : Install Ub 12.04 LTS sur IBM R 51 plateforme Intel

soluce ici forum.ubuntu-fr

ubuntu-cdimage/+bug/958866

nonpae-12.04-desktop-i386-beta.iso

et là
PrecisePangolin/ReleaseNotes/UbuntuDesktop
The Ubuntu 12.04 installation image does not include support for old computers that do not support PAE.
If your computer is affected, you can either first install Ubuntu 10.04 or 11.10 and upgrade to 12.04 or you can use the Lubuntu or Xubuntu images.
The non-PAE version of the Linux kernel will be **dropped completely** following the 12.04 release.

Dernière modification par wanica (02-05-2012 21:00:24)

Hors ligne

#3 07-03-2017 20:22:22

wanica
Membre
Inscription : 13-11-2008
Messages : 1 937

Re : Install Ub 12.04 LTS sur IBM R 51 plateforme Intel

https://doc.ubuntu-fr.org/tutoriel/inst … sur_nonpae

Mise à jour de 14.04 vers 16.04
Paquets dont les dépendances ne sont pas satisfaites...

linux-image-extra-4.4.0-64-generic sera désinstallé ainsi que ses fichiers de configuration
linux-image-generic sera désinstallé ainsi que ses fichiers de configuration
linux-generic sera désinstallé
linux-generic-lts-utopic sera désinstallé

E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.
E: Impossible de corriger les dépendances
E: Impossible de verrouiller le répertoire de téléchargement

EDIT 1 avril 17:

Depuis synaptic: 3 dépendances cassées= noyau en 4.xx

La suppression de ces paquets installés par la mise à niveau semble possible. Le système remet par défaut le noyau linux-image-3.16.0-30-generic.

D' autres messages d' erreur sont cependant générés.

Sur les noyaux, j' avais fait cet article de la doc qui reste actuel.
http://icaunux.org/doku.php?id=installer_un_autre_noyau

Les dépôts de la 16.04 ne contiennent en principe que les noyaux "compatibles" .

La commande suivante ne fonctionnera pas.

     sudo apt-get install linux-image-generic-lts-backport-oneiric linux-headers-generic-lts-backport-oneiricBilan:

Noyau présent 3.16.0-30-generic #40~14.04.1-Ubuntu SMP Thu Jan 15 17:45:15 UTC 2015 i686 i686 i686 GNU/Linux

Sur un R50 qui est toujours en 12.04, c'est la version 3.2.0-125 qui est installée.

http://icaunux.org/doku.php?id=ubuntu_non-pae

Le plus récent sur ces sujets :

https://help.ubuntu.com/community/PAE

Now we know that the problem is in fact related to the PAE flag. This gives several options:

A. Install 14.04 as described at the top of the page. For most users this is the easiest and best solution.

B. If for some reason the computer does not run 14.04 a number of 12.04-based distros are available: Install ToriOS, which is NON-PAE by default and super lightweight (still under development), nOS With support until april 2017 or Bodhi Linux with support through 2017, LXLE 32-bit Revisited alias 12.04.5 with support until April 2017. Lubuntu 12.04 and Xubuntu 12.04 LTS are out of support and should not be used.

C. Move the hard disk to a computer on which the processor has PAE capability and PAE flag (that is, almost everything else than a Banias). Install the system as usual but don't add restricted drivers. After the install move the disk back.

D. If you are handy with hardware and you can get your hands on a Dothan-class Intel Pentium M CPU with a 400MHz front-side bus, replace the non-PAE Banias CPU with a Dothan. Dothans with 400MHz FSB are marked Pentium 7x5, i.e. 715, 725, 735, 745, 755 and 765.

E: Installing without the forcepae option.

Hors ligne

#4 08-08-2021 16:45:28

wanica
Membre
Inscription : 13-11-2008
Messages : 1 937

Re : Install Ub 12.04 LTS sur IBM R 51 plateforme Intel

Objet: boot sur live usb 18.04 32 bits pour dépanner install Lub  18.04 32 bits...
La clé multisystem met effectivement le message This kernel repuires the following features not present on the CPU:pae

Le but est de dépanner, donc pas de réinstall 12.04 puis par incrément arriver à la 18.04 ( dernière version dispo sur pentium M centrino)

La meilleure solution est de passer des arguments au noyau:
https://askubuntu.com/questions/117744/ … ot-present

fossfreedom a écrit :

Workaround 4: Ubuntu 12.04.5 and 14.04 (or later) on Pentium M only

    Ubuntu 12.04.5 and 14.04 support an option ("forcepae") to enable PAE on Pentium M CPUs (where it is disabled by default). To enable it:
        Boot the 32-bit Ubuntu (or Xubuntu etc.) installer
        When the image of the keyboard and little man in circle appears hit the Tab key
        "Choose your language" popup appears. Use the cursor keys and hit the Enter key to choose your language
        Press F6, a grey menu will popup with some boot options
        Press escape to close the window
        You will now see a line that says:

    Boot Options file=/cdrom/preseed/ubuntu.seed boot=casper initrd=/casper/initrd.lz quiet splash --

    Edit this line and add the forcepae parameter with spaces twice around the -- at the end:

    Boot Options file=/cdrom/preseed/ubuntu.seed boot=casper initrd=/casper/initrd.lz quiet splash forcepae -- forcepae

        forcepae -- forcepae note:

        forcepae is required twice because it sets the boot parameters for two different kernel boots - the kernel that runs as part of the installer (left of --), and the kernel that runs on the installed system (right of --).

        The text at the end should be -- forcepae not --forcepae. There is a space between -- and forcepae

        Hit the Enter key, hopefully Ubuntu will boot and the rest of your install will be successful. If you have graphical problems with Unity, or just find it slow, try a more lightweight distribution like Xubuntu.

Hors ligne

Pied de page des forums